<?php
/**
 * Video youtube view
 *
 * @package wp-video-attention
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$videoPost    = $this->videoPost;
$videoSetting = $this->setting;
$style        = $this->style;
$setting      = $this->styleSetting;
$color        = $setting->getSetting( 'color', 'grey' );

if ( $setting->getSetting( 'header_activate', 'false' ) == 'false' ) {
  return true;
}
$align = $setting->getSetting( 'header_text_align', 'left' );
?>

<div class="ipvisc-video-widget-header">
  <div class="ipvisc-video-widget-title" style="text-align:<?php echo $align; ?>">
    <h3>
      <?php
      $icon = $setting->getSetting( 'header_icon' );
      if ( ! empty( $icon )) {
        echo '<i class="ipvisc-fa ipvisc-fa-' . $icon . '"></i>';
      }
      ?>
      <?php echo stripslashes( $setting->getSetting( 'header_text', '' ) ); ?>
    </h3>
  </div>
  <?php
  $close    = $setting->getSetting( 'header_close', 'false' );
  $minimize = $setting->getSetting( 'header_minimize', 'false' );

  if ( $close == 'true' || $minimize == 'true' ) :
  ?>
  <div class="ipvisc-video-widget-actions">
    <?php
    if ( $minimize == 'true' ) :
    ?>
    <a href="#" class="_action-minimize">
      <i class="ipvisc-fa ipvisc-fa-minus"></i>
    </a>
    <?php
    endif;
    ?>
    <?php
    if ( $close == 'true' ) :
    ?>
    <a href="#" class="_action-close">
      <i class="ipvisc-fa ipvisc-fa-times"></i>
    </a>
    <?php
    endif;
    ?>
  </div>
  <?php
  endif;
  ?>
</div>
